Bug 186483 - df emits annoying error: `/var/named/chroot/proc': Permission denied
Summary: df emits annoying error: `/var/named/chroot/proc': Permission denied
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: coreutils   
(Show other bugs)
Version: 5
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-03-23 20:02 UTC by Dan O'Brien
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-24 12:54:15 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Dan O'Brien 2006-03-23 20:02:05 UTC
Description of problem:

df emits annoying error: `/var/named/chroot/proc': Permission denied unless run
as root -OR- unless /var/named/chroot/proc is made world readible.


Version-Release number of selected component (if applicable):

coreutils-5.93-7.2

How reproducible:

as regular user: type "df"

Steps to Reproduce:
1. login
2. type "df"
3. error
  
Actual results:
yorky@/home/dmobrien: df
Filesystem           1K-blocks      Used Available Use% Mounted on
/dev/hda3             73552908  18432676  51323672  27% /
/dev/hda1               194442      9209    175194   5% /boot
/dev/shm                501712         0    501712   0% /dev/shm
df: `/var/named/chroot/proc': Permission denied
yorky@/home/dmobrien: 

If done as root:

yorky@/home/dmobrien: sudo df
Password:
Filesystem           1K-blocks      Used Available Use% Mounted on
/dev/hda3             73552908  18432676  51323672  27% /
/dev/hda1               194442      9209    175194   5% /boot
/dev/shm                501712         0    501712   0% /dev/shm
yorky@/home/dmobrien: 

Or if change permissions (which seem to get reset after reboot)

yorky@/home/dmobrien: ls -ld /var/named/
drwxr-x--- 5 root named 4096 Mar 22 17:40 /var/named/
yorky@/home/dmobrien: sudo chmod 755 /var/named/
yorky@/home/dmobrien: ls -ld /var/named/chroot  
drwxr-x--- 6 root named 4096 Mar 22 13:19 /var/named/chroot
yorky@/home/dmobrien: sudo chmod 755 /var/named/chroot
yorky@/home/dmobrien: ls -ld /var/named/chroot/proc   
dr-xr-xr-x 136 root root 0 Mar 23 08:32 /var/named/chroot/proc
yorky@/home/dmobrien: df
Filesystem           1K-blocks      Used Available Use% Mounted on
/dev/hda3             73552908  18432676  51323672  27% /
/dev/hda1               194442      9209    175194   5% /boot
/dev/shm                501712         0    501712   0% /dev/shm
yorky@/home/dmobrien: 

Expected results:

yorky@/home/dmobrien: df
Filesystem           1K-blocks      Used Available Use% Mounted on
/dev/hda3             73552908  18432676  51323672  27% /
/dev/hda1               194442      9209    175194   5% /boot
/dev/shm                501712         0    501712   0% /dev/shm
yorky@/home/dmobrien: 

Additional info:

Problem with present with FC4 also.

Comment 1 Dan O'Brien 2006-03-23 20:03:23 UTC
Additional info:

(typos)

Problem WAS present with later versions of FC4, also.

Comment 2 Tim Waugh 2006-03-24 15:27:31 UTC
This is fixed in 5.94.


Note You need to log in before you can comment on or make changes to this bug.